Subject: Re: [Softwires] Issue with [email-masked] and yangdump-pro

From: Benoit Claise <[email-masked]>
Date: Wed, 27 Dec 2017 15:29:24 +0100

Hi Med,

Thanks.
With the latest yangdump-pro, there is a new error for 
[email-masked]
See http://www.claise.be/IETFYANGPageCompilation.html

Regards, B.
>
> Hi Andy, Benoit,
>
> Thank you for investigating this.
>
> A new version which fixes this issue is available online. A diff is 
> available at: 
> https://www.ietf.org/rfcdiff?url2=draft-ietf-softwire-dslite-yang-11
>
> Cheers,
>
> Med
>
> *De :*Andy Bierman [mailto:[email-masked]]
> *Envoyé :* samedi 18 novembre 2017 22:23
> *À :* Benoit Claise
> *Cc :* [email-masked]; Mahesh Jethanandani
> *Objet :* Re: Issue with [email-masked] and yangdump-pro
>
> Hi,
>
> yangdump-pro is correct. Every other compiler missed it...
>
> 9.10.2.  The identityref's "base" Statement
>    The "base" statement, which is a substatement to the "type"
>    statement, MUST be present at least once if the type is
>    "identityref".  The argument is the name of an identity, as defined
>    by an "identity" statement.  If a prefix is present on the identity
>    name, it refers to an identity defined in the module that was
>    imported with that prefix. *Otherwise, an identity with the matching*
> *   name MUST be defined in the current module or an included submodule.*
>
> Using [email-masked] 
> <mailto:[email-masked]>and [email-masked] 
> <mailto:[email-masked]>
>
> When I change 'natp44' to 'nat:natp44' in both when-stmts:
>
> andy@andy-homedev:~/Desktop/FD1289/IETF$ yangdump-pro 
> [email-masked] <mailto:[email-masked]>modpath=.
>
> *** /home/andy/Desktop/FD1289/IETF/[email-masked] 
> <mailto:/home/andy/Desktop/FD1289/IETF/[email-masked]>
>
> *** 0 Errors, 0 Warnings
>
> andy@andy-homedev:~/Desktop/FD1289/IETF$
>
> Andy
>
> On Sat, Nov 18, 2017 at 11:07 AM, Benoit Claise <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
> Hi Andy,
>
> Can you please have a look at [email-masked] 
> <mailto:[email-masked]>at 
> http://www.claise.be/IETFYANGPageCompilation.html.
> yangdump-pro reports a new error, while the other validators are fine.
>
> Copying Mahesh, as YANG doctor.
>
> Regards, Benoit
>

---

From: Andy Bierman <[email-masked]>
Date: Wed, 27 Dec 2017 11:35:25 -0800

Hi,

I am updating our compiler to conform to sec. 7.21.2 of RFC 7950.
IMO it is totally wrong to say MUST NOT allow if the same module but
not even a warning if the objects are in different modules. Not convinced
any lifecycle clue has been obtained by the IETF since early days of SMIv2.

Andy

On Wed, Dec 27, 2017 at 6:29 AM, Benoit Claise <[email-masked]> wrote:

> available at: https://www.ietf.org/rfcdiff?url2=draft-ietf-softwire-
> dslite-yang-11
>
>
>
> Cheers,
>
> Med
>
>
>
> *De :* Andy Bierman [mailto:[email-masked] <[email-masked]>]
> Using [email-masked] and [email-masked]
>
>
>
> [email-masked] modpath=.
>
>
>
> On Sat, Nov 18, 2017 at 11:07 AM, Benoit Claise <[email-masked]> wrote:
>
> Hi Andy,
>
> Can you please have a look at [email-masked] at
> http://www.claise.be/IETFYANGPageCompilation.html .

---

From: Mahesh Jethanandani <[email-masked]>
Date: Fri, 29 Dec 2017 08:24:29 -0300

Hi Benoit,

I do not know if it is me only, but the link that the e-mail points to is for -12 version of the draft which has a PASSED status on the page. The error you are seeing is with -14 version of the model, and I cannot see what the error is. Could you update the page with the -14 run?

Thanks.

Mahesh Jethanandani
[email-masked]

p.s. I do not have access to a computer to download the model and compile it myself.

> On Dec 27, 2017, at 11:29 AM, Benoit Claise <[email-masked]> wrote:
> 
> Hi Med,
> 
> Thanks.
> With the latest yangdump-pro, there is a new error for [email-masked]
>> A new version which fixes this issue is available online. A diff is available at: https://www.ietf.org/rfcdiff?url2=draft-ietf-softwire-dslite-yang-11
>>  
>> Cheers,
>> Med
>>  
>> De : Andy Bierman [mailto:[email-masked]] 
>> Envoyé : samedi 18 novembre 2017 22:23
>> À : Benoit Claise
>> Cc : [email-masked]; Mahesh Jethanandani
>> Objet : Re: Issue with [email-masked] and yangdump-pro
>>  
>> Hi,
>>  
>>    imported with that prefix.  Otherwise, an identity with the matching
>>    name MUST be defined in the current module or an included submodule.
>>  
>> andy@andy-homedev:~/Desktop/FD1289/IETF$ yangdump-pro [email-masked] modpath=.
>>  
>> Can you please have a look at [email-masked] at http://www.claise.be/IETFYANGPageCompilation.html .

---

From: Mahesh Jethanandani <[email-masked]>
Date: Fri, 29 Dec 2017 08:40:19 -0300

Hi Benoit,

Please ignore my last E-mail. You are referencing ietf-software-ce model and I was confused about the e-mail subject line referencing ietf-dslite model.

I would agree with Andy about publishing a warning when the reference is in the other model.

Med, in the meantime, for the dslite model, can you replace the = expression in the 'when' statement with 'derived-from'. Thanks.

Mahesh Jethanandani
[email-masked]

---

From: Andy Bierman <[email-masked]>
Date: Fri, 29 Dec 2017 09:17:42 -0800

Hi,

I removed the warnings from our code.
Now doing what YANG says to do.
Ignoring child node different status than parent.
This does not seem to count as a reference.

Andy

On Fri, Dec 29, 2017 at 3:40 AM, Mahesh Jethanandani <
[email-masked]> wrote:

> Hi Benoit,
>
> Please ignore my last E-mail. You are referencing ietf-software-ce model
> and I was confused about the e-mail subject line referencing ietf-dslite
> model.
>
> Med, in the meantime, for the dslite model, can you replace the =
> expression in the 'when' statement with 'derived-from'. Thanks.
>
> Mahesh Jethanandani
> [email-masked]
>